{% extends 'includes/layout.njk' %}

{% block title %}{{ page.title }}{% endblock %}

{% block opengraphmeta %}
    {% include '_partial/opengraph_post.njk' %}
{% endblock %}

{% block twittercard  %}
    {% include '_partial/twitter_card.njk' %}
{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="/dist/styles/sites/post.css">
    {% if page.comments === true %}
      <link rel="stylesheet" href="/dist/styles/lib/cactus.css">
    {% endif %}

    {% if page.photos.length > 0 %}
        <link rel="stylesheet" href="/dist/styles/components/image_modal.css">
    {% endif %}
{% endblock %}

{% block scripts %}
    <script src="/dist/scripts/post.js"></script>
    {% if page.comments === true %}
      <script src="/dist/scripts/lib/cactus.js"></script>
      <script src="/dist/scripts/lib/cactus-init.js"></script>
    {% endif %}
    {% include '_partial/json-ld_post.njk' %}

    {% if page.photos.length > 0 %}
        <script src="/dist/scripts/image_modal.js"></script>
    {% endif %}
{% endblock %}

{% block main %}
    {% if page.photos.length > 0 %}
        {% include '_partial/image_modal.njk' %}
    {% endif %}
    <div id="post">
        <div class="container">
            {% set postcard = page %}
            {% include '_partial/postcard.njk' %}

            <article class="markdown">
                {% if is_post() %}
                    {% if postcard.toc === true %}
                        <h2>Table of Contents</h2>
                        {{ toc(postcard.content) }}
                    {% endif %}
                {% endif %}
                {{ page.more }}
            </article>

            <div class="css-postcardfooter">
                {% include '_partial/postcardfooter.njk' %}
            </div>

            <hr/>

            <div class="css-commentsfooter">
              <h1 id="post-comments"><a class="headerlink" href="#post-comments" title="Blog Comments">Comments 💬</a></h1>

              {% if page.comments === true %}
                {% include '_partial/comment_section.njk' %}
              {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
